## ros-indigo-pddl-msgs 0.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pddl_msgs)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs message_generation)

add_action_files(
  DIRECTORY action
  FILES PDDLPlanner.action
)
add_message_files(
  DIRECTORY msg
  FILES PDDLAction.msg PDDLDomain.msg PDDLProblem.msg PDDLActionArray.msg PDDLObject.msg PDDLStep.msg
)

generate_messages(
  DEPENDENCIES actionlib_msgs
)

catkin_package(
    DEPENDS actionlib actionlib_msgs message_runtime
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

=== debian/changelog ===
ros-indigo-pddl-msgs (0.1.11-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.10-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 28 Feb 2017 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.8-0trusty) trusty; urgency=high

  * make graph for durative action ( #47 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/47> )
  * add durative action mode ( #48 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/48> )
  * Contributors: Kamada Hitoshi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 16 Feb 2017 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 27 May 2016 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 14 Dec 2015 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.3-0trusty) trusty; urgency=high

  * remove rosbuild stuff, change to pure catkin packages
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Jan 2015 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 05 May 2014 15:00:00 -0000

ros-indigo-pddl-msgs (0.1.1-0trusty) trusty; urgency=high

  * catkinize jsk_planning
  * support metrics and functions, [#89 <https://github.com/jsk-ros-pkg/jsk_planning/issues/89>]
  * remove hoge message
  * add functions slots
  * add support constants for pddl-domain
  * uncomment data valiable in pddl action and fix launch files
  * update for diamondaback
  * add on_condition slot
  * move 3rdparty/pddl to jsk-ros-pkg/pddl, because pddl stack except ff is developed by R.Ueda and JSK, now 3rdparty
  * mv jtalk and pddl to 3rdparty directory
  * add PDDLActionArray message
  * add pddl stack
  * Contributors: Kei Okada, Manabu Saito, Ryohei Ueda, Youhei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 04 May 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pddl-msgs
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pddl-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-message-runtime
Description: message for pddl planner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pddl-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
